window.Gleam.initSearch([{"doc":"kv_sessions_postgres_adapter","title":"kv_sessions_postgres_adapter","content":"# kv_sessions_postgres_store\n\n[![Package Version](https://img.shields.io/hexpm/v/kv_sessions_postgres_store)](https://hex.pm/packages/kv_sessions_postgres_store)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/kv_sessions_postgres_store/)\n\n```sh\ngleam add kv_sessions_postgres_store@1\n```\n```gleam\nimport kv_sessions/postgres_store\n\npub fn main() {\n  let db = pog.default_config()\n  |&gt; pog.connect()\n  \n  // Migrate\n  use _ &lt;- result.try(postgres_store.migrate_up(conn))\n\n  // Setup session_store\n  use postgres_store &lt;- result.map(postgres_store.try_create_session_store(conn))\n\n  // Create session config\n  let session_config =\n    session_config.Config(\n      default_expiry: session.ExpireIn(60 * 60),\n      cookie_name: &quot;SESSION_COOKIE&quot;,\n      store: postgres_store,\n    )\n\n  //...\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/kv_sessions_postgres_adapter&gt;.\nAnd &lt;https://hexdocs.pm/kv_sessions&gt;\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\n```\n","url":"index.html"},{"doc":"kv_sessions/internal","title":"decode_data_from_string","content":"pub fn decode_data_from_string(\n  str: String,\n) -&gt; Result(Dict(String, String), DecodeError)\n\nSynonyms:\nkv_sessions/internal.decode_data_from_string\nkv_sessions/internal decode_data_from_string","url":"kv_sessions/internal.html#decode_data_from_string"},{"doc":"kv_sessions/internal","title":"decode_session_row","content":"pub fn decode_session_row(\n  data: Dynamic,\n) -&gt; Result(\n  #(String, #(#(Int, Int, Int), #(Int, Int, Int)), String),\n  List(DecodeError),\n)\n\nSynonyms:\nkv_sessions/internal.decode_session_row\nkv_sessions/internal decode_session_row","url":"kv_sessions/internal.html#decode_session_row"},{"doc":"kv_sessions/internal","title":"encode_data","content":"pub fn encode_data(data: Dict(String, String)) -&gt; Json\n\nSynonyms:\nkv_sessions/internal.encode_data\nkv_sessions/internal encode_data","url":"kv_sessions/internal.html#encode_data"},{"doc":"kv_sessions/internal","title":"kv_sessions/internal","content":"","url":"kv_sessions/internal.html"},{"doc":"kv_sessions/postgres_adapter","title":"migrate_down","content":"pub fn migrate_down(\n  db: Connection,\n) -&gt; Result(Returned(Nil), QueryError)\n\nSynonyms:\nkv_sessions/postgres_adapter.migrate_down\nkv_sessions/postgres_adapter migrate_down","url":"kv_sessions/postgres_adapter.html#migrate_down"},{"doc":"kv_sessions/postgres_adapter","title":"migrate_up","content":"pub fn migrate_up(\n  db: Connection,\n) -&gt; Result(Returned(Nil), QueryError)\n\nSynonyms:\nkv_sessions/postgres_adapter.migrate_up\nkv_sessions/postgres_adapter migrate_up","url":"kv_sessions/postgres_adapter.html#migrate_up"},{"doc":"kv_sessions/postgres_adapter","title":"new","content":"pub fn new(db: Connection) -&gt; SessionStore\n\nSynonyms:\nkv_sessions/postgres_adapter.new\nkv_sessions/postgres_adapter new","url":"kv_sessions/postgres_adapter.html#new"},{"doc":"kv_sessions/postgres_adapter","title":"kv_sessions/postgres_adapter","content":"","url":"kv_sessions/postgres_adapter.html"}]);